Overview
GET
/content/urls/{id}contentGet urls by id
Fetch a record from urls by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
urls
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- originalUrlstring
- canonicalUrlstring
- canonicalUrlHashstring
- titlestring?
- descriptionstring?
- notestring?
- previewStorageKeystring?
- previewUrlstring?
- previewStatusstring
- previewErrorstring?
- previewGeneratedAtstring?
- previewAttemptsinteger
- createdAtstring
- updatedAtstring
- isDeletedboolean
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"originalUrl": "string",
"canonicalUrl": "string",
"canonicalUrlHash": "string",
"title": "string",
"description": "string",
"note": "string",
"previewStorageKey": "string",
"previewUrl": "string",
"previewStatus": "string",
"previewError": "string",
"previewGeneratedAt": "string",
"previewAttempts": 0,
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/urls/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/urls/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();